using System;

internal sealed class Delegate600 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate600 delegate600_1)
	{
		return delegate600_1(object_0);
	}

	public extern Delegate600(object object_0, IntPtr intptr_0);

	static Delegate600()
	{
		Class10.smethod_13(typeof(Delegate600).TypeHandle);
	}

	internal static Delegate600 delegate600_0;
}
